Bug 1285841 - appstream-util validate-relax fails on F22 but not on F23
appstream-util validate-relax fails on F22 but not on F23
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: libappstream-glib (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-26 11:00 EST by Sergio Monteiro Basto
Modified: 2016-01-08 05:52 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-08 05:52:59 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sergio Monteiro Basto 2015-11-26 11:00:58 EST
Description of problem:
Is not the first case appstream-util validate-relax fails on F22 but not on F23 

appstream-util validate-relax --nonet /builddir/build/BUILDROOT/wammu-0.40-2.fc22.x86_64//usr/share/appdata/wammu.appdata.xml
/builddir/build/BUILDROOT/wammu-0.40-2.fc22.x86_64//usr/share/appdata/wammu.appdata.xml: GLib-GIO-Message: Using the 'memory' GSettings backend.  Your settings will not be saved or shared with other applications.

Version-Release number of selected component (if applicable):
libappstream-glib-0.4.1-1.fc22.x86_64

How reproducible:
build same package for F23 and for F22 


Actual results:
https://kojipkgs.fedoraproject.org//work/tasks/5417/11985417/build.log

Expected results:
https://kojipkgs.fedoraproject.org//packages/wammu/0.40/2.fc23/data/logs/noarch/build.log

Additional info:

I need workaround this quickly 

Thanks,
Comment 1 Fedora Update System 2015-11-27 12:19:28 EST
wammu-0.40-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-1a61d0d0f3
Comment 2 Fedora Update System 2015-11-27 12:22:05 EST
wammu-0.40-2.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-8312a1422c
Comment 3 Fedora Update System 2015-11-28 19:54:53 EST
wammu-0.40-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update wammu'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-1a61d0d0f3
Comment 4 Fedora Update System 2015-11-29 02:23:08 EST
 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update '
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-8312a1422c
Comment 5 Sergio Monteiro Basto 2015-12-07 19:29:42 EST
Bodhi trigger this bug when I wrote Workaround rhbz #1285841.  
The workaround is just validate appdata when build is 0%{?fedora} > 22
Comment 6 Richard Hughes 2016-01-08 05:52:59 EST
I think 0%{?fedora} > 22 is a good solution.

Note You need to log in before you can comment on or make changes to this bug.